Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class QueryByAllStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.QueryByAllStrategy

All Implemented Interfaces:
  `BiFunction<String,com.yubico.webauthn.data.ByteArray,List<StorageRecord<Set<CredentialRecord>>>>`

public class QueryByAllStrategy extends Object implements BiFunction<String,com.yubico.webauthn.data.ByteArray,List<StorageRecord<Set<CredentialRecord>>>>
A query strategy that loads all known credentials from the datasource based on the storage context label.

Since:
  1.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final WebAuthnJDBCReadAllAccelerator`
`queryAccelerator`
The query accelerator used to lookup credentials.

## Constructor Summary

Constructors
Constructor
Description
`QueryByAllStrategy(WebAuthnJDBCReadAllAccelerator accelerator)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<StorageRecord<Set<CredentialRecord>>>`
`apply(String storageContext, com.yubico.webauthn.data.ByteArray credentialId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Field Details

### queryAccelerator

@Nonnull private final WebAuthnJDBCReadAllAccelerator queryAccelerator
The query accelerator used to lookup credentials.

## Constructor Details

### QueryByAllStrategy

public QueryByAllStrategy(@Nonnull WebAuthnJDBCReadAllAccelerator accelerator)
Constructor.

Parameters:
  `accelerator` - the JDBC query accelerator to use

## Method Details

### apply

public List<StorageRecord<Set<CredentialRecord>>> apply(String storageContext, com.yubico.webauthn.data.ByteArray credentialId)

Specified by:
  `apply` in interface `BiFunction<String,com.yubico.webauthn.data.ByteArray,List<StorageRecord<Set<CredentialRecord>>>>`